KDE 4.7 PyKDE API Reference

- KDE's Python API

# KTagCloudWidget Class Reference

`from PyKDE4.nepomuk import *`

Inherits: QWidget

## Detailed Description

## Signals
| tagClicked (QString tag)
## Methods
| __init__ (self, QWidget parent=0)
| addTag (self, QString tag, int weight)
| addTags (self, {QString:int} tags)
| clear (self)
| resizeEvent (self, QResizeEvent e)
| setMaxFontSize (self, int pointSize)
| setMinFontSize (self, int pointSize)
int | tagWeight (self, QString tag)

## Signal Documentation

tagClicked | ( | QString | tag
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("tagClicked(const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

addTag | ( | self, |
|  | QString | tag,
|  | int | weight
| ) |  |  |

Add tag to the cloud using the weight factor weight. Existing tags with the same name will be overwritten.

addTags | ( | self, |
|  | {QString:int} | tags
| ) |  |  |

Add a set of tags with weight factors

clear | ( |  | self ) |

Remove all tags from the cloud.

resizeEvent | ( | self, |
|  | QResizeEvent | e
| ) |  |  |

setMaxFontSize | ( | self, |
|  | int | pointSize
| ) |  |  |

Set the maximum font size to be used for the most popular tags. Default is 22.

setMinFontSize | ( | self, |
|  | int | pointSize
| ) |  |  |

Set the minimum font size to be used for the most unpopular tags. Default is 8.

int tagWeight | ( | self, |
|  | QString | tag
| ) |  |  |

Retrieve the weight for a certain tag